edelib 1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
EdbusDictEntry Class Reference
D-Bus classes and functions

An entry in EdbusDict. More...

`#include <edelib/EdbusDict.h>`

## Public Member Functions
bool | operator== (const EdbusDictEntry &other) const
bool | operator!= (const EdbusDictEntry &other) const

## Public Attributes
EdbusData | key
EdbusData | value

## Detailed Description

An entry in EdbusDict.

## Member Function Documentation

bool operator!= | ( | const EdbusDictEntry & | other | ) | const
| inline

Check if two EdbusDictEntry objects are not equal

bool operator== | ( | const EdbusDictEntry & | other | ) | const
| inline

Check if two EdbusDictEntry objects are equal

References EdbusDictEntry::key, and EdbusDictEntry::value.

## Member Data Documentation

EdbusData key

key

Referenced by EdbusDictEntry::operator==().

EdbusData value

value

Referenced by EdbusDictEntry::operator==().

The documentation for this class was generated from the following file:

- edelib/EdbusDict.h